Get a community by ID
https://api.propexo.com/crm/v1/communities/:community_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the community
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
cmgjprasu79183794371b9g9kvrcrejvcustom_data object | nullrequired
The first address line associated with the community
550 Memory LaneThe second address line associated with the community
This field will always be null for ELISEAI
The city associated with the community
New YorkThe state associated with the community
NYThe zip code associated with the community
11231The primary url associated with the community
This field will always be null for ELISEAI
The primary email address associated with the community
This field will always be null for ELISEAI
Primary phone number associated with the community
This field will always be null for ELISEAI
coordinates objectrequired
The latitude associated with the community
This field will always be null for ELISEAI
The longitude associated with the community
This field will always be null for ELISEAI
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe CRM system of record
Show 5 enum values
ELISEAIELISEAIFUNNELRENTCAFEKNOCKELISEAIErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/crm/v1/communities/:community_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cmgjprasu79183794371b9g9kvrcrejv",
"custom_data": "Unknown Type: object,null",
"address_1": "550 Memory Lane",
"address_2": "string",
"city": "New York",
"state": "NY",
"zip": "11231",
"url": "string",
"email": "string",
"phone": "string",
"coordinates": {
"lat": "string",
"long": "string"
},
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ELISEAI"
}
}